###  | #  |

Functions
static_min, static_max
ColorBase » Algorithms and Utility Functions

Equivalents to std::min_element and std::max_element for homogeneous color bases. More...

## Functions
template<typename P >
BOOST_FORCEINLINE auto | static_max (P const &p) -> typename element_const_reference_type< P >::type
template<typename P >
BOOST_FORCEINLINE auto | static_max (P &p) -> typename element_reference_type< P >::type
template<typename P >
BOOST_FORCEINLINE auto | static_min (P const &p) -> typename element_const_reference_type< P >::type
template<typename P >
BOOST_FORCEINLINE auto | static_min (P &p) -> typename element_reference_type< P >::type

## Detailed Description

Equivalents to std::min_element and std::max_element for homogeneous color bases.

Example:

rgb8_pixel_t pixel(10,20,30);
assert(pixel[2] == 30);
static_max(pixel) = static_min(pixel);
assert(pixel[2] == 10);